org.deidentifier.arx.gui.worker

## Class ProgressAnalysis

- java.lang.Object
- - org.deidentifier.arx.gui.worker.ProgressAnalysis

    public class ProgressAnalysis
    extends java.lang.Object

Simple progress analysis using moving averages

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`ProgressAnalysis()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getTimeRemaining()` Calculates and renders the remaining time
`void` `start()` Start
`void` `update(int progress)` Report progress

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProgressAnalysis

    public ProgressAnalysis()

### Method Detail

#### getTimeRemaining

    public java.lang.String getTimeRemaining()

Calculates and renders the remaining time

Returns:

#### start

    public void start()

Start

#### update

    public void update(int progress)

Report progress

Parameters:
  `progress` -